Bug 1118631 - You can open two subscription-manager-gui by use CLI command and use "System Tools" menu
Summary: You can open two subscription-manager-gui by use CLI command and use "System ...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager
Version: 5.11
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel511
TreeView+ depends on / blocked
 
Reported: 2014-07-11 08:06 UTC by xingge
Modified: 2016-09-20 02:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-14 14:55:26 UTC


Attachments (Terms of Use)
the two rhsm gui shows (118.85 KB, image/png)
2014-07-11 08:08 UTC, xingge
no flags Details

Description xingge 2014-07-11 08:06:37 UTC
Description of problem:
You can open two subscription-manager-gui by use CLI command and use "System Tools -> Red Hat Subscription Manager" menu

Version-Release number of selected component (if applicable):

subscription-manager-gui-1.11.3-8.el5
subscription-manager-1.11.3-8.el5
subscription-manager-firstboot-1.11.3-8.el5
python-rhsm-1.11.3-4.el5

How reproducible:
Always

Steps to Reproduce:
1.Use system menu "Applications->System Tools->Red Hat Subscription Manager" to open subscription-manager-gui
2.Before the GUI shows up, use CLI to run cmd
#subscription-manager-gui


Actual results:
Waiting for a few seconds you will see two subscription-manager-gui shows up.

Expected results:
Only one subscription-manager-gui should show.

Additional info:
If I wait the step 1 's gui shows then execute step2, it will just put the subscription-manager-gui to the front.

Comment 1 RHEL Product and Program Management 2014-07-11 08:08:08 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.

Comment 2 xingge 2014-07-11 08:08:12 UTC
Created attachment 917263 [details]
the two rhsm gui shows

Comment 3 Carter Kozak 2014-07-14 14:55:26 UTC
This is a dbus timing info.  If you open the gui twice in quick succession, we can't detect that it's being concurrently opened.

I don't believe this is a problem for most real use cases, and the gui behaves properly in most situations when there are two instances running concurrently.


Note You need to log in before you can comment on or make changes to this bug.